This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Change the warning for $* to add ", and will become a syntax error".
[perl5.git] / t / lib / warnings / gv
index 6b022e1..1618e40 100644 (file)
@@ -60,7 +60,7 @@ $a = ${"#"};
 $a = ${"*"};
 EXPECT
 $# is no longer supported at - line 2.
-$* is no longer supported at - line 3.
+$* is no longer supported, and will become a syntax error at - line 3.
 ########
 # gv.c
 $a = ${#};
@@ -70,7 +70,7 @@ $a = ${#};
 $a = ${*};
 EXPECT
 $# is no longer supported at - line 2.
-$* is no longer supported at - line 3.
+$* is no longer supported, and will become a syntax error at - line 3.
 ########
 # gv.c
 $a = $#;
@@ -88,11 +88,11 @@ $a = \$#;
 $a = \$*;
 EXPECT
 $# is no longer supported at - line 2.
-$* is no longer supported at - line 3.
+$* is no longer supported, and will become a syntax error at - line 3.
 $# is no longer supported at - line 4.
-$* is no longer supported at - line 5.
+$* is no longer supported, and will become a syntax error at - line 5.
 $# is no longer supported at - line 6.
-$* is no longer supported at - line 7.
+$* is no longer supported, and will become a syntax error at - line 7.
 ########
 # gv.c
 @a = @#;
@@ -101,7 +101,7 @@ $a = $#;
 $a = $*;
 EXPECT
 $# is no longer supported at - line 4.
-$* is no longer supported at - line 5.
+$* is no longer supported, and will become a syntax error at - line 5.
 ########
 # gv.c
 $a = $#;
@@ -110,7 +110,7 @@ $a = $*;
 @a = @*;
 EXPECT
 $# is no longer supported at - line 2.
-$* is no longer supported at - line 3.
+$* is no longer supported, and will become a syntax error at - line 3.
 ########
 # gv.c
 use warnings 'syntax' ;